Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 449790 (CVE-2012-6084) - <net-irc/shadowircd-6.3.3: Denial of Service Vulnerability (CVE-2012-6084)
Summary: <net-irc/shadowircd-6.3.3: Denial of Service Vulnerability (CVE-2012-6084)
Status: RESOLVED FIXED
Alias: CVE-2012-6084
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://secunia.com/advisories/51716/
Whiteboard: B3 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-02 17:15 UTC by Agostino Sarubbo
Modified: 2014-05-18 17:49 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2013-01-02 17:15:38 UTC
From $URL :

Description
A vulnerability has been reported in ShadowIRCd, which can be exploited by malicious people to 
cause a DoS (Denial of Service).

For more information:
SA51694

The vulnerability is reported in versions prior to 6.3.3.


Solution
Update to version 6.3.3.
Original Advisory
https://github.com/shadowircd/shadowircd/blob/2b9892978e6562e82ace550a742b0795d7ea7b67/NEWS

@JD can we stabilize?
Comment 1 Jeff (JD) Horelick (RETIRED) gentoo-dev 2013-01-02 17:31:06 UTC
(In reply to comment #0)
> @JD can we stabilize?

Go for it. Arches added.
Comment 2 Agostino Sarubbo gentoo-dev 2013-01-02 17:34:26 UTC
Arches, please test and mark stable:
=net-irc/shadowircd-6.3.3
Target keywords : "amd64 x86"
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2013-01-03 11:41:41 UTC
CVE-2012-6084 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-6084):
  modules/m_capab.c in (1) ircd-ratbox before 3.0.8 and (2) Charybdis before
  3.4.2 does not properly support capability negotiation during server
  handshakes, which allows remote attackers to cause a denial of service (NULL
  pointer dereference and daemon crash) via a malformed request.
Comment 4 Agostino Sarubbo gentoo-dev 2013-01-03 11:47:23 UTC
amd64 stable
Comment 5 Agostino Sarubbo gentoo-dev 2013-01-03 11:49:29 UTC
x86 stable
Comment 6 Sean Amoss gentoo-dev Security 2013-01-03 11:58:59 UTC
GLSA vote: yes
Comment 7 Tim Sammut (RETIRED) gentoo-dev 2013-01-03 17:22:14 UTC
GLSA Vote: yes, too. GLSA request filed.
Comment 8 GLSAMaker/CVETool Bot gentoo-dev 2014-05-18 17:49:15 UTC
This issue was resolved and addressed in
 GLSA 201405-21 at http://security.gentoo.org/glsa/glsa-201405-21.xml
by GLSA coordinator Sean Amoss (ackle).